package commons.pfc;

import android.content.ComponentName;
import android.content.Intent;
import android.content.pm.ActivityInfo;
import android.os.Bundle;
import android.view.View;
import android.widget.DatePicker;
import android.widget.TextView;

public class datos_imagen extends AndromediacommonsActivity {
    /** Se llama cuando se crea la interfaz */
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setRequestedOrientation(ActivityInfo.SCREEN_ORIENTATION_PORTRAIT);//No girar pantalla
        setContentView(R.layout.layout_datos_imagen);
    }
    
    private Intent intent = new Intent();
    
	public void Click_Gps_Si(View botton)
	{
		rellenar_datos();
		boolean campos = campos_obligatorios();
		
		if(campos)
		{
			intent.setComponent(new ComponentName(this, obtener_coordenadas.class));
			startActivity(intent);
		}
		else
		{
			intent.setComponent(new ComponentName(this, mensaje_campos_obligatorios.class));
        	startActivity(intent);
		}
		
	}
	
	public void Click_Gps_No(View botton)
	{
		rellenar_datos();
		boolean campos = campos_obligatorios();
		
		if(campos)
		{
			intent.setComponent(new ComponentName(this, subir.class));
			startActivity(intent);
		}
		else
		{
			intent.setComponent(new ComponentName(this, mensaje_campos_obligatorios.class));
        	startActivity(intent);
		}
	}
	
	private void rellenar_datos()
	{
		TextView titulo = (TextView) findViewById(R.id.titulos);
		TextView descripcion = (TextView) findViewById(R.id.descripcion);
		TextView categoria = (TextView) findViewById(R.id.categoria);
		DatePicker fecha = (DatePicker) findViewById(R.id.calendario);
		TextView otra_info = (TextView) findViewById(R.id.otra_info);
		/****
		 *Si no pongo la condicin de esta manera y asigno al String el valor del TextView
		 *cuando este est vacio, al evaluar que valores tiene cada String no me detecta 
		 *el campo "" como vacio.
		****/
		if(titulo.getText().toString().length() == 0)
			datos.nom_imagen = "-1";
		else
			datos.nom_imagen = titulo.getText().toString();
		if(descripcion.getText().toString().length() == 0)
			datos.descripcion = "-1";
		else
			datos.descripcion = descripcion.getText().toString();
		
		datos.categoria = categoria.getText().toString();
		datos.descripcion_corta = otra_info.getText().toString();
		datos.fecha = fecha.getYear() + "-" + fecha.getMonth() + "-" + fecha.getDayOfMonth();
	}
	
	public boolean campos_obligatorios()
	{
		if(datos.nom_imagen == "-1" || datos.descripcion == "-1" || datos.nom_imagen.length() < 10 || datos.descripcion.length() < 25)
			return false;
		else
			return true;
	}
}