package commons.pfc;

import android.content.ComponentName;
import android.content.Intent;
import android.content.pm.ActivityInfo;
import android.database.Cursor;
import android.net.Uri;
import android.os.Bundle;
import android.view.View;
import android.widget.ImageView;

public class seleccion_imagenes_rafaga extends AndromediacommonsActivity {
	@Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.layout_seleccion_imagenes_rafaga);
        setRequestedOrientation(ActivityInfo.SCREEN_ORIENTATION_PORTRAIT);//No girar pantalla
        Elegir_Foto();
    }
	
	private Uri selectedImage;
	private int SELECT_IMAGE = 1;
	Intent intent = new Intent();
	    
	private void Elegir_Foto()
    {	
        Intent intent = new Intent(Intent.ACTION_PICK, android.provider.MediaStore.Images.Media.INTERNAL_CONTENT_URI);
        intent.setType("image/*");
        startActivityForResult(intent, SELECT_IMAGE);  
    }
	
 @Override
    public void onActivityResult(int requestCode, int resultCode, Intent data) 
    {
      super.onActivityResult(requestCode, resultCode, data);
          ImageView imgPhoto = (ImageView) findViewById(R.id.imageView1);
      try
      {
	       selectedImage = data.getData();
	       datos.path = getPath(selectedImage);
	       datos.nom_imagen = Nombre_Imagen(datos.path);
	       imgPhoto.setImageURI(selectedImage);
       }
      catch(Exception e){}
    } 
    

    public void Click_Siguiente(View botton)
    {
    	//Lista que contiene el path y el nombre de las imagenes que se subiran posteriormente
    	datos_imagenes_rafaga.add(datos.path + "XXX" + datos.nom_imagen);
    	intent.setComponent(new ComponentName(this, seleccion_imagenes_rafaga.class));
		startActivity(intent);

    }
    
    public void Click_FinRafaga(View botton)
    {
    	datos_imagenes_rafaga.add(datos.path + "XXX" + datos.nom_imagen);
    	intent.setComponent(new ComponentName(this, licencias.class));
    	startActivity(intent);
    }
    
    private String Nombre_Imagen(String path)
    {
    	String[] desglose_ruta = path.split("/");

    	return  desglose_ruta[desglose_ruta.length -1];
    }
    
    private String getPath(Uri uri) {
    	 String[] projection = { android.provider.MediaStore.Images.Media.DATA };
    	 Cursor cursor = managedQuery(uri, projection, null, null, null);
    	 int column_index = cursor.getColumnIndexOrThrow(android.provider.MediaStore.Images.Media.DATA);
    	 cursor.moveToFirst();
    	 return cursor.getString(column_index);
    }  
}


