package commons.pfc;

import android.content.ComponentName;
import android.content.Intent;
import android.content.pm.ActivityInfo;
import android.os.Bundle;
import android.view.View;
import android.widget.AdapterView;
import android.widget.ArrayAdapter;
import android.widget.ListView;
import android.widget.AdapterView.OnItemClickListener;

public class seleccion_monumento extends AndromediacommonsActivity{
	
	//Array que contiene el nombre de las listas de los monumentos
	//public ArrayList nombre_lista_monumentos = new ArrayList<String>();

	ListView lv;
	final Intent intent = new Intent();
	String nom_monumento;
	//datos_imagen_wiki_love datos_monumento = null;

	
	@Override
    public void onCreate(Bundle savedInstanceState) 
	{
        super.onCreate(savedInstanceState);
        setContentView(R.layout.layout_seleccion_lista_monumentos);
        setRequestedOrientation(ActivityInfo.SCREEN_ORIENTATION_PORTRAIT);//No girar pantalla
		intent.setComponent(new ComponentName(this, tomar_foto.class));
		
	inicializar();
	}

	private void inicializar()
	{
		StringBuilder aux = new StringBuilder();
		for(int i = 0; i < lista_imagenes.size(); ++i)
		{
			aux.append(lista_imagenes.get(i).nom_monumento + '\n'+ "Distancia: "+ Truncar_Decimales( lista_imagenes.get(i).distancia) + " m." +"XXX");
		}
		String x = aux.toString();
		String[] monumentos = x.split("XXX"); 
		
		
		//Evaluo si existen monumento en dicha distancia
		if(monumentos[0]=="")
			monumentos[0] = "No existen monumentos" + '\n' + "Pruebe con otra distancia";
		ArrayAdapter<String> adaptador = new ArrayAdapter<String>(this, android.R.layout.simple_list_item_1, monumentos);
		lv = (ListView)findViewById(R.id.lista_listados_imagen);
		lv.setAdapter(adaptador);
		lv.setOnItemClickListener(new OnItemClickListener() {
			@Override
			public void onItemClick(AdapterView<?> parent, View v, int posicion, long id)
			{
				nom_monumento = (String) lv.getItemAtPosition(posicion);
				datos_monumento = new datos_imagen_wiki_love();
				datos_monumento = lista_imagenes.get(posicion);
				startActivity(intent);
			}
		});
	}

	private String Truncar_Decimales(String distancia)
	{

		distancia = distancia.replace("\"", "");//Cambio " por espacios y eliminos espacios
		
		distancia = distancia.substring(0, distancia.indexOf("."));
		/*double tmp = Double.parseDouble(distancia);//parseo string a double
		NumberFormat n = NumberFormat.getInstance();//Creo un instancia de la clase que formatea numeros
		n.setMaximumFractionDigits(3);//establezco que los numeros tengan 3 decimales
		distancia = n.format(tmp); //lo paso a un string*/
		
		return distancia;
	}
}

