package commons.pfc;

import java.io.File;

import android.content.ComponentName;
import android.content.Intent;
import android.content.pm.ActivityInfo;
import android.os.Bundle;
import android.os.Environment;
import android.widget.AdapterView;
import android.widget.AdapterView.OnItemClickListener;
import android.widget.ArrayAdapter;
import android.widget.ListView;
import android.view.View;

public class seleccion_rafaga extends AndromediacommonsActivity
{
	ListView lv;
	final Intent intent = new Intent();
	
	//XXX -> Separador entre ruta de la imagen y nombre de la imagen
	//FFF -> Separador entre distintas imagenes
	//@@@ -> Separadro entre distientos ficheros que contienen imagenes
	
	@Override
    public void onCreate(Bundle savedInstanceState) 
	{
        super.onCreate(savedInstanceState);
        setContentView(R.layout.layout_seleccion_rafaga);
        setRequestedOrientation(ActivityInfo.SCREEN_ORIENTATION_PORTRAIT);//No girar pantalla
        //inicializar();
        //Obtengo el directorio data
		File files = Environment.getDataDirectory();
		//resto de la ruta donde estan los archivos con las rafagas
		String ruta = files.getAbsolutePath().toString();
		ruta += "/data/commons.pfc/files";
		datos.path_rafaga = ruta + '/';
		File f = new File(ruta);
		File[] ficheros = null;
		String nombre="";
		
		// Directorio existe 
		if (f.exists())
		{   //Array de strings con los los nombres ficheros del derectorio deseado0
			ficheros = f.listFiles();
			
			if(ficheros.length >=2 )
			{
				for (int x=0; x<ficheros.length; x++)
				{
					if(!ficheros[x].getName().contains("credenciales_commons"))
						nombre += ficheros[x].getName() + "@@@";
				}
				
				String[] nombre_ficheros = nombre.split("@@@");
				
				ArrayAdapter<String> adaptador = new ArrayAdapter<String>(this, android.R.layout.simple_list_item_1, nombre_ficheros);
				lv = (ListView)findViewById(R.id.lista_rafagas);
				lv.setAdapter(adaptador);
				intent.setComponent(new ComponentName(this, subir.class));
				lv.setOnItemClickListener(new OnItemClickListener() {
					@Override
					public void onItemClick(AdapterView<?> parent, View v, int posicion, long id){
						datos.nombre_rafaga = (String) lv.getItemAtPosition(posicion);
						startActivity(intent);
					}
				});
			}
			else
			{
				intent.setComponent(new ComponentName(this, mensaje_campos_obligatorios.class));
				startActivity(intent);
			}
		}
	}
}
